
/*----------Sakura Animation--------------------------*/

.sakura li{
    position: absolute;
    list-style: none;
    top: -30px;

    background: #fcc9e1;
    border-radius: 0% 70%;  
    animation: fall 4s linear infinite, sway 2s ease-in-out infinite alternate;
}

@keyframes fall {
    to {
    top: 95%;
    }
}

@keyframes sway1 {
    from {
        transform: translateX(0px) rotate(0deg);
    }
    to {
        transform: translateX(200px) rotate(-45deg);
    }
}

@keyframes sway2 {
    from {
        transform: translateX(200px) rotate(-45deg);
    }
    to {
        transform: translateX(0px) rotate(0deg);
    }
}

.sakura li:nth-child(1){
    left: 0%;
    width: 24px;
    height: 15px;
    animation: fall 10s linear infinite,
    sway1 3s ease-in-out infinite alternate;
    animation-delay: 2s;
}

.sakura li:nth-child(2){
    left: 5%;
    width: 13px;
    height: 9px;
    animation: fall 15s linear infinite,
    sway1 2s ease-in-out infinite alternate;
    animation-delay: 8s;
}

.sakura li:nth-child(3){
    left: 15%;
    width: 16px;
    height: 10px;
    animation: fall 9s linear infinite,
    sway1 3.5s ease-in-out infinite alternate;
    animation-delay: 13s;
}

.sakura li:nth-child(4){
    left: 30%;
    width: 16px;
    height: 10px;
    animation: fall 8s linear infinite,
    sway2 4s ease-in-out infinite alternate;
    animation-delay: 7s;
}
.sakura li:nth-child(5){
    left: 40%;
    width: 16px;
    height: 10px;
    animation: fall 10s linear infinite,
    sway1 4s ease-in-out infinite alternate;
    animation-delay: 0s;
}
.sakura li:nth-child(6){
    left: 55%;
    width: 24px;
    height: 15px;
    animation: fall 11s linear infinite,
    sway2 3s ease-in-out infinite alternate;
    animation-delay: 3s;
}
.sakura li:nth-child(7){
    left: 65%;
    width: 16px;
    height: 10px;
    animation: fall 7s linear infinite,
    sway2 3.5s ease-in-out infinite alternate;
    animation-delay: 7s;
}
.sakura li:nth-child(8){
    left: 50%;
    width: 13px;
    height: 9px;
    animation: fall 7s linear infinite,
    sway1 3s ease-in-out infinite alternate;
    animation-delay: 3s;
}
.sakura li:nth-child(9){
    left: 80%;
    width: 16px;
    height: 10px;
    animation: fall 10s linear infinite,
    sway2 4s ease-in-out infinite alternate;
    animation-delay: 4s;
}

/*------------------------Header----------------------------------*/

body{
    background-color:#faeff5;
    font-family: 'Quicksand', sans-serif;

    color: #351422;

}

header{
    position: relative;
    margin-bottom: 30px;
}

.container-header{
    width: 95%;
    height: 85vh;
    margin: 10px auto; 
    border:#ed729f 2px solid ;

    display: flex;
    justify-content: space-around;
    align-items: center;
}

h1{
    font-size: 2.7rem;
    color:#ed729f; 
}

h2{
    color:#ed729f; 
}

li{
    list-style: none;
}

a{
    color:#ed729f;
    text-decoration: none;
    font-size: 2.8rem;
    padding: 10px;
}

.border-nav{
    color:#ffffff;
}

.border-nav:hover{
    color:#ffffff;
    border: #ffffff solid 1px;
    /*background-color: rgb(255, 175, 204,0.3);*/ 
}

.hover-nav:hover{
    color:#eec4d3;
    /*    background-color: rgb(255, 175, 204,0.3);*/
    text-shadow: #e4a9c6 2px 2px ;   
}

.menu-sx{
    width: 25%;
    margin-top: 0;
    background-color: #e1739b;
    position: fixed;
    padding: 30px px;
    margin: 10px;

    z-index: auto;
} 

.img-sakura{
    position: absolute;
    top: 0;
}

@media screen and (min-width: 960px){
    .menu-sx{
        display: none;
    }

    .img-sakura{
        width: 22%;
    }

}
@media screen and (min-width: 700px) and (max-width: 960px){
    .menu-sx{
        display: none;
    }

    .img-sakura{
        width: 50%;    
    }
}

@media screen and (max-width: 700px){
    .menu{
        display: none;
    }

    .img-sakura{
        width: 60%;
    }
}


/*-------------------Main--------------------------------*/

.text-top{
    font-size: 1.3rem;
    width: 60%;
    margin: 7% auto;
    text-align: center;

    line-height: 50px;
}

span{
    color: #c4235e;
}
/*-----------------profil  --------------*/

h3{
    font-size: 3rem;
    text-align: center;
    margin-top: 7rem;
    margin-bottom: 5rem;
}

.img-profil{
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
}

.text-profil{
    display: flex;
    flex-direction: column;
    align-items: center;

    font-size: 1.4rem;
}

.text-top{
    font-size: 1.5rem;
    width: 50%;
    margin: 7% auto;
    text-align: center;
}

/*-----------------profil  --------------*/

h3{
    font-size: 3rem;
    text-align: center;
    margin-top: 7rem;
    margin-bottom: 5rem;
}

.img-profil{
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
}

.container-profil{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}


.text-profil{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 70px;
    width: 40vw;
}


@media screen and (min-width: 1300px){
    .img-profil{
        width: 30%;
        height: auto;
    }

    .icon-profil{
        width: 15%;
        margin: 20px;
        
    }
    

    .text-profil{
        width: 30%;
        font-size: 1.4rem;
    }
}
@media screen and (min-width: 800px) and (max-width: 1300px){
    .img-profil{
        width: 35%;
        height: auto;
    }

    .icon-profil{
        width: 15%;
        margin: 20px;
    }    

    .text-profil{
        width: 40%;
        font-size: 1.2rem;
    }
}

@media screen and (min-width: 576px) and (max-width: 800px){
    .img-profil{
        width: 70%;
        height: auto;
    }

    .icon-profil{
        width: 15%;
        margin: 20px;
    }    

    .text-profil{
        width: 50%;
        font-size: 1.2rem;
    }
}

@media screen and (max-width: 576px){
    .img-profil{
        width: 70%;
        height: auto;
    }

    .icon-profil{
        width: 15%;
        margin: 10px;
    }
    .text-profil{
        width: 70%;
    }
}

/*----------------------projets-----------------------*/

.container-sites{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}    

.bloc-site-button{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.bloc-site{
    position: relative;
    margin: 20px;
    box-shadow: 10px 5px 5px rgb(238, 205, 222);
}

.img-site,.overlay{      
    width: 35rem;    
    border-radius: 10px;
}

.overlay{
    opacity: 0;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    position: absolute;
    top:0;
    left: 0;
    bottom: 0;
    margin: 0;
    color: #faeff5;
    background-color: rgba(81, 125, 123, 0.7);
}

.overlay:hover{
    opacity: 1;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    position: absolute;
    top:0;
    left: 0;
    bottom: 0;
    margin: 0;
    color: #faeff5;
    background-color: rgba(81, 125, 123, 0.7);
}

.logo-site{
    width: 30%;
}

h4{
    font-size: 25px;
    text-align: center;
    padding: 10px;
}

.button-site{
    width: 50%;
    text-align: center;
    font-size: 1.5rem;
    color: rgb(255, 255, 255);
    background-color:rgb(75, 157, 152);
    border-radius: 40px;
    margin: 0 auto;
    padding: 10px;
}

.button-site:hover{
    width: 50%;
    text-align: center;
    font-size: 1.5rem;
    color: rgb(255, 255, 255);
    background-color:rgb(115, 205, 199);
    border-radius: 40px;
    margin: 0 auto;
    padding: 10px;
    animation: hovershake .5s; 
    
}

@keyframes  hovershake{
    0%{transform: skew(0deg,0deg);}
    25%{transform: skew(1deg,1deg);}
    75%{transform: skew(-1deg,-1deg);}
    100%{transform: skew(0deg,0deg);}

}

.text-overlay{
    font-size: 18px;
    width: 80%;
    text-align: center;
}

@media screen and (min-width: 992px){
    .text-overlay{
        font-size: 18px;
        width: 70%;
    }
}

@media screen and (min-width: 576px) and (max-width: 992px){

    .text-overlay{
        font-size: 18px;
        width: 70%;
    }
}

@media screen and (max-width: 576px){
    .text-overlay{
        font-size: 18px;
        width: 70%;
    }
}
/*---------------competence-----------*/

.bloc-icon-language{
    margin: 0 auto;
}

.container-icon-language{
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
}

.icon-language{

    padding: 20px;
    border-radius: 20px;
}

.icon-language:hover{
    padding: 20px;
    border-radius: 20px;
    transform: rotate(20deg);
    transform-origin: center top;
}

.orange{
    background-color: rgb(239, 195, 157);
}

.blue{
    background-color: rgb(152, 192, 250);
}

.yellow{
    background-color: rgb(240, 234, 169);
}

.purple{
    background-color: rgb(222, 192, 247);
}

.orange-blue{
    background: linear-gradient(rgb(244, 184, 19), rgb(75, 175, 247));
}

.red{
    background-color: rgb(233, 125, 106);
}


    
@media screen and (min-width: 992px){

    .icon-language{
        width: 5%;
        margin: 30px;
    }

}
@media screen and (min-width: 600px) and (max-width: 992px){

    .icon-language{
        width: 12%;
        margin: 20px;
    }
}

@media screen and (max-width: 600px){

    .icon-language{
        width: 20%;
        margin: 20px;
    }
}

/*----------contact--------------*/


.bloc-icone-Contact{
    display: flex;
    justify-content: center;
}

.icon-contact {
    width: 70px;
    background-color: rgb(225, 115, 155,0.3);
    border-radius: 20px;
    padding: 10px;
}

.icon-contact:hover {
    width: 70px;
    background-color: rgb(225, 115, 155,0.3);
    border-radius: 20px;

    animation: shake .5s;

}
@keyframes  shake{
    0%{transform: rotate(15deg);}
    20%{transform: rotate(-15deg);}
    40%{transform: rotate(15deg);}
    60%{transform: rotate(-15deg);}
    80%{transform: rotate(15deg);}
}

.cv{
    text-align: center;
    width: 80px;
    height: 80px;
    padding: 10px;
    margin: 10px;
    border: #da5887 2px solid;
    border-radius: 20px;
    background-color: rgba(235, 168, 192, 0.3);
}

/*---------------------Footer-------------------------*/

footer{
    position: relative;
    height: 20rem;
    background-color: #88c396;
    margin-top: 6rem;
}

.text-footer{
    text-align: center;
    font-size: 20px;
    margin: 20px;
}


@media screen and (min-width: 1400px){
    .img-cherisier{
        position: absolute;
        top: -260px; left: 0px;
        width: 20%;
    }
}

@media screen and (min-width: 990px) and (max-width: 1400px){
    .img-cherisier{
        position: absolute;
        top: -150px; left: 0px;
        width: 20%;
    }
}

@media screen and (max-width: 990px){    
    .img-cherisier{
        position: absolute;
    top: -120px; left: 20px;
    width: 30%;
    }
}

/*-------secton sakura-----------*/

.section-sakura{
    overflow: hidden;
}